%define __libtoolize    /bin/true
%define __cputoolize /bin/true

Name:           ristretto
Version:        0.8.0
Release:        %mkrel 1
Summary:        Image-viewer for the Xfce desktop environment
Summary(de):    Bildbetrachter für die Xfce Desktop-Umgebung
Group:          Graphical desktop/Xfce
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/applications/ristretto/
Source0:        http://goodies.xfce.org/releases/ristretto/ristretto-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  thunar-devel >= 0.4
BuildRequires:  %{_lib}exif12-devel >= 0.6.0
BuildRequires:	dbus-glib-devel >= 0.34
BuildRequires:  desktop-file-utils


%description
Ristretto is a fast and lightweight image-viewer for the Xfce desktop 
environment.

%description -l de
Ristretto ist ein schneller und leichtgewichtiger Bildbetrachter für die Xfce
Desktop-Umgebung.


%prep
%setup -q
#./autogen.sh --prefix=/usr --disable-static

%build
%configure2_5x
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std


#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --add-mime-type="image/tiff" \
  --add-mime-type="image/x-bmp" \
  --add-mime-type="image/x-png" \
  --add-mime-type="image/x-pcx" \
  --add-mime-type="image/x-tga" \
  --add-mime-type="image/xpm" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/locale/*
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Mon Mar 02 2015 ghostbunny <ghostbunny at gmx dot de> 0.8.0-1pclos2015
- 0.8.0
- remove deprecated BR libxfcegui4-devel

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.6.3-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.6.3-1pclos2012
- process 

* Thu Aug 30 2012 ghostbunny ghostbunny <ghostbunny at gmx dot de> 0.6.3-1pclos2012
- 0.6.3
- commented autogen.sh line

* Sun Jan 29 2012 Neal <nealbrks0 at gmail dot com> 0.3.4-1pclos2012
- process

* Sat Jan 28 2012 Sproggy <desproggster at gmail.com> 0.3.4-1pclos2012
- update

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.3.2-1pclos2012
- update

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 0.0.91-1pclos2010
- updated for xfce4.8

* Sat Oct 23 2010 Sproggy <desproggster@gmail.com> 0.0.22-2pclos2010
- Ported to PCLinuxOS for xfce4.8pre1
